For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • GETList Dubs
      • POSTDub a video or audio file
      • GETGet dubbing
      • DELDelete dubbing
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIDubbing

List Dubs

GET
/v1/dubbing
GET
/v1/dubbing
$curl https://api.elevenlabs.io/v1/dubbing
1{
2 "dubs": [
3 {
4 "dubbing_id": "string",
5 "name": "string",
6 "status": "preparing",
7 "source_language": "string",
8 "target_languages": [
9 "string"
10 ],
11 "created_at": "2024-01-15T09:30:00Z",
12 "editable": false,
13 "media_metadata": {
14 "content_type": "string",
15 "duration": 1.1
16 },
17 "error": "string"
18 }
19 ],
20 "next_cursor": "string",
21 "has_more": true
22}
List the dubs you have access to.
Was this page helpful?
Previous

Dub a video or audio file

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.
page_sizeintegerOptional1-200Defaults to 100
How many dubs to return at maximum. Can not exceed 200, defaults to 100.
dubbing_statusenumOptional
What state the dub is currently in.
Allowed values:
filter_by_creatorenumOptionalDefaults to all
Filters who created the resources being listed, whether it was the user running the request or someone else that shared the resource with them.
Allowed values:
order_by"created_at"Optional
The field to use for ordering results from this query.
order_directionenumOptionalDefaults to DESCENDING
The order direction to use for results from this query.
Allowed values:

Response

Successful Response
dubslist of objects
next_cursorstring or null
has_moreboolean

Errors

422
Unprocessable Entity Error